=== debian/control ===
Source: suphp
Section: web
Priority: optional
Maintainer: Emmanuel Lacour <elacour@home-dn.net>
Build-Depends: debhelper (>> 4.1.16), apache-dev (>= 1.3.20), apache2-prefork-dev (>= 2.2.0), apache2-mpm-prefork (>= 2.2.0) | apache2-mpm-worker (>= 2.2.0), libapr1-dev, docbook-to-man, pkg-config, dpatch
Standards-Version: 3.7.2

Package: suphp-common
Architecture: any
Depends: ${shlibs:Depends}, php4-cgi | php5-cgi
Description: Common files for mod suphp
 Suphp consists of an Apache module (mod_suphp for either apache 1.3.x or
 apache 2.x) and a setuid root binary (suphp) that is called by the Apache
 module to change the uid of the process executing the PHP interpreter to the
 owner of the php script.

Package: libapache-mod-suphp
Architecture: any
Depends: ${shlibs:Depends}, suphp-common (= ${Source-Version}), apache-common (>= 1.3.20)
Description: Apache module to run php scripts with the owner permissions
 With the use of the suphp setuid root binary (from suphp-common package),
 this Apache module change the uid of the process executing the PHP
 interpreter to the owner of the php script

Package: libapache2-mod-suphp
Architecture: any
Depends: ${shlibs:Depends}, suphp-common (= ${Source-Version}), apache2.2-common
Description: Apache2 module to run php scripts with the owner permissions
 With the use of the suphp setuid root binary (from suphp-common package),
 this Apache2 module change the uid of the process executing the PHP
 interpreter to the owner of the php script
