## suphp 0.7.1

=== debian/changelog ===
suphp (0.7.1-3) unstable; urgency=low

  * Remove support for apache 2.4 debian package (stalled in
    experimental)

 -- Emmanuel Lacour <elacour@home-dn.net>  Tue, 26 Jun 2012 15:30:52 +0200

suphp (0.7.1-2) experimental; urgency=low

  * Lintian cleanup: 
      - remove obsolete dependency on php4
      - use quilt instead of dpatch for patches management
      - add missing ${misc:Depends}
      - convert debian makefile to make use of "dh"
      - update Standards-Version to 3.9.3
  * Add default "rotate" option to logrotate file (closes: #542021)
  * Fix typo in package descriptions (closes: #630515)
  * Add quotes around env_path configuration variable (closes: #647604)
  * Replace AddType by SetHandler in module configuration
    (closes: #571653, #594571)
  * Update dependencies and make use of dh_apache2 for Apache 2.4
    (closes: #666823)
  * Convert packaging to 3.0 (quilt)
  * Don't override CPPFLAGS with pkg-config output (closes: #655419)

 -- Emmanuel Lacour <elacour@home-dn.net>  Wed, 18 Apr 2012 14:32:35 +0200

suphp (0.7.1-1) unstable; urgency=low

  * New upstream release (closes: #528379, #520182) 
  * debian/NEWS: add information about AddHandler -> AddType change introduced
    in 0.6.2-2 (closes: #517805)
  * debian/conf/suphp.conf, debian/patches/01_debian.dpatch: switch from
    application/x-httpd-php to application/x-httpd-suphp to allow
    simultaneous use of mod_suphp and mod_php (closes: #519005, #514725)

 -- Emmanuel Lacour <elacour@home-dn.net>  Mon, 03 Aug 2009 15:15:38 +0200

suphp (0.6.2-3) unstable; urgency=low

  * debian/conf/suphp.conf: by default, deactivate suPHP for applications in
    /usr/share (owned by uid 0) (closes: #472352, closes: #420007)
  * debian/control: bump standard-version

 -- Emmanuel Lacour <elacour@home-dn.net>  Wed, 04 Jun 2008 10:04:08 +0200

suphp (0.6.2-2.1) unstable; urgency=high

  * Non-maintainer upload by the security team
  * Fix race condition in symlink handling by adding
    04_CVE-2008-1614.dpatch (Closes: #475431) Fixes: CVE-2008-1614

 -- Steffen Joeris <white@debian.org>  Sat, 10 May 2008 08:48:45 +0000

suphp (0.6.2-2) unstable; urgency=low

  * remove apache 1.x package (closes: #429079)
  * debian/rules, debian/compat, debian/control: lintian cleanup
  * debian/conf/suphp.conf, debian/patches/01_debian.dpatch: replaced
    AddHandler by AddType and x-httpd-php by application/x-httpd-php to get
    the same behavior as mod php with filenames extensions (closes: #416424)

 -- Emmanuel Lacour <elacour@home-dn.net>  Sun, 14 Oct 2007 19:42:30 +0200
