=== debian/control ===
Source: suphp
Section: httpd
Priority: optional
Maintainer: Emmanuel Lacour <elacour@home-dn.net>
Build-Depends: debhelper (>= 9), apache2-prefork-dev (>= 2.2.0), apache2-mpm-prefork (>= 2.2.0) | apache2-mpm-worker (>= 2.2.0), libapr1-dev, docbook-to-man, pkg-config, dh-autoreconf, autotools-dev, quilt
Standards-Version: 3.9.3

Package: suphp-common
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, php5-cgi
Description: Common files for mod suphp
 Suphp consists of an Apache module (mod_suphp for either Apache 1.3.x or
 Apache 2.x) and a setuid root binary (suphp) that is called by the Apache
 module to change the uid of the process executing the PHP interpreter to the
 owner of the php script.

Package: libapache2-mod-suphp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, suphp-common (= ${binary:Version}), apache2.2-common
Description: Apache2 module to run PHP scripts with the owner permissions
 With the use of the suphp setuid root binary (from suphp-common package),
 this Apache2 module change the uid of the process executing the PHP
 interpreter to the owner of the php script.
