=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@  --with quilt,autotools-dev,autoreconf

override_dh_auto_configure:
	CFLAGS="$(CFLAGS) `pkg-config --cflags apr-1`" ./configure --prefix=/usr \
	--sysconfdir=/etc/suphp \
	--with-apxs=/usr/bin/apxs2 \
	--with-apache-user=www-data \
	--sbindir=/usr/lib/suphp \
	--with-setid-mode=owner \
	--with-logfile=/var/log/suphp/suphp.log


override_dh_install:
	dh_install
	docbook-to-man debian/suphp-common.manpage.sgml > debian/suphp-common/usr/share/man/man8/suphp.8
	install -m 644 debian/suphp-common.lintian-override debian/suphp-common/usr/share/lintian/overrides/suphp-common
	mv debian/suphp-common/etc/suphp/suphp.conf-example debian/suphp-common/etc/suphp/suphp.conf
	mv debian/libapache2-mod-suphp/usr/lib/apache2/modules/mod_suphp.so.0.0.0 debian/libapache2-mod-suphp/usr/lib/apache2/modules/mod_suphp.so


override_dh_installdocs:
	dh_installdocs
	mv debian/libapache2-mod-suphp/usr/share/doc/libapache2-mod-suphp/INSTALL debian/libapache2-mod-suphp/usr/share/doc/libapache2-mod-suphp/README

override_dh_installchangelogs:
	dh_installchangelogs ChangeLog

override_dh_fixperms:
	dh_fixperms
	chmod u+s debian/suphp-common/usr/lib/suphp/suphp

override_dh_makeshlibs:
	# Not needed here, not a dynamic lib
