## suphp 0.7.2

=== debian/changelog ===
suphp (0.7.2-0ubuntu1) trusty; urgency=medium

  * New upstream security release.
  * Refresh debian/patches/01_debian.diff.

 -- Dmitry Shachnev <mitya57@gmail.com>  Wed, 22 Jan 2014 16:02:45 +0400

suphp (0.7.1-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Revert to 0.7.1-2 for Apache 2.4 transition (closes: #709462).
  * Remove hardcoded Build-Depends/Depends: apache2-api-20120211.

 -- Colin Watson <cjwatson@debian.org>  Fri, 12 Jul 2013 09:15:32 +0100
