=== debian/control ===
Source: suphp
Section: httpd
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Emmanuel Lacour <elacour@home-dn.net>
Build-Depends: debhelper (>= 9), apache2-dev (>= 2.4), libapr1-dev, docbook-to-man, pkg-config, dh-autoreconf, autotools-dev, quilt, dh-apache2
Standards-Version: 3.9.3

Package: suphp-common
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, php5-cgi
Description: Common files for mod suphp
 Suphp consists of an Apache module (mod_suphp for either Apache 1.3.x or
 Apache 2.x) and a setuid root binary (suphp) that is called by the Apache
 module to change the uid of the process executing the PHP interpreter to the
 owner of the php script.

Package: libapache2-mod-suphp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, suphp-common (= ${binary:Version})
Description: Apache2 module to run PHP scripts with the owner permissions
 With the use of the suphp setuid root binary (from suphp-common package),
 this Apache2 module change the uid of the process executing the PHP
 interpreter to the owner of the php script.
