=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 #export DH_VERBOSE=1
 
 %:
-	dh $@  --with quilt,autotools-dev,autoreconf
+	dh $@  --with quilt,autotools-dev,autoreconf,apache2
 
 override_dh_auto_configure:
 	CFLAGS="$(CFLAGS) `pkg-config --cflags apr-1`" ./configure --prefix=/usr \
@@ -21,14 +21,15 @@
 	--with-setid-mode=owner \
 	--with-logfile=/var/log/suphp/suphp.log
 
+override_dh_auto_install:
 
 override_dh_install:
 	dh_install
 	docbook-to-man debian/suphp-common.manpage.sgml > debian/suphp-common/usr/share/man/man8/suphp.8
 	install -m 644 debian/suphp-common.lintian-override debian/suphp-common/usr/share/lintian/overrides/suphp-common
 	mv debian/suphp-common/etc/suphp/suphp.conf-example debian/suphp-common/etc/suphp/suphp.conf
-	mv debian/libapache2-mod-suphp/usr/lib/apache2/modules/mod_suphp.so.0.0.0 debian/libapache2-mod-suphp/usr/lib/apache2/modules/mod_suphp.so
-
+	rm -f src/apache2/.libs/mod_suphp.so
+	mv src/apache2/.libs/mod_suphp.so.0.0.0 src/apache2/.libs/mod_suphp.so
 
 override_dh_installdocs:
 	dh_installdocs
